/*
 * Author: wangjian
 * 生成ServiceImpl
 */
package com.tofly.xrtygis.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.tofly.xrtygis.custom.entity.dma.ImportExDuty;
import com.tofly.xrtygis.entity.Dutyroster;
import com.tofly.xrtygis.service.DutyrosterService;
import org.springframework.stereotype.Service;
import com.tofly.xrtygis.mapper.DutyrosterMapper;

import java.util.List;

/**
 * 人员排班信息表：TF_YWPN_DUTYROSTER_W
 *
 * @author admin
 * @date Wed Mar 10 00:00:00 CST 2021
 */
@Service("dutyrosterService")
public class DutyrosterServiceImpl extends ServiceImpl<DutyrosterMapper, Dutyroster> implements DutyrosterService {

    @Override
    public List<Dutyroster> getByMonth(String month , Long user) {
        return baseMapper.getByMonth(month , user);
    }

    @Override
    public Long getMaxId() {
        return baseMapper.getMaxId();
    }

    @Override
    public boolean saveDutyrosters(List<ImportExDuty> ips) {
        return baseMapper.saveDutyrosters(ips);
    }
}
